> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Log Discord Bot Error

> Logs error details from the Discord bot for a specific user and interaction.



## OpenAPI

````yaml https://stash.seraph.si/json post /discord/logging/error
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/logging/error:
    post:
      tags:
        - Discord
        - Logging
      summary: Log Discord Bot Error
      description: >-
        Logs error details from the Discord bot for a specific user and
        interaction.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                error_message:
                  type: string
                interaction_name:
                  type: string
                user_id:
                  type: integer
              type: object
        description: Error logging data
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  error_message:
                    type: string
                  interaction_name:
                    type: string
                  user_id:
                    type: integer
                type: object
          description: Successfully logged error data (echoes the received body)
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid input body
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Forbidden: Not enough permissions to log error'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````